## dmrconfig 1.1+git20190919.e47491e

=== Makefile ===
CC             ?= gcc

VERSION         = $(shell git describe --tags --abbrev=0)
GITCOUNT        = $(shell git rev-list HEAD --count)
UNAME           = $(shell uname)

OBJS            = main.o util.o radio.o dfu-libusb.o uv380.o md380.o rd5r.o \
                  gd77.o hid.o serial.o d868uv.o dm1801.o
CFLAGS         ?= -g -O -Wall -Werror 
CFLAGS         += -DVERSION='"$(VERSION).$(GITCOUNT)"' \
                  $(shell pkg-config --cflags libusb-1.0)
LDFLAGS        ?= -g
LIBS            = $(shell pkg-config --libs --static libusb-1.0)

#
# Make sure pkg-config is installed.
#
ifeq ($(shell pkg-config --version),)
    $(error Fatal error: pkg-config is not installed)
endif

#
# Linux
#
# To install required libraries, use:
#   sudo apt-get install pkg-config libusb-1.0-0-dev libudev-dev
#
ifeq ($(UNAME),Linux)
    OBJS        += hid-libusb.o

    # Link libusb statically, when possible
    LIBUSB      = /usr/lib/x86_64-linux-gnu/libusb-1.0.a
    ifeq ($(wildcard $(LIBUSB)),$(LIBUSB))
        LIBS    = $(LIBUSB) -lpthread -ludev
    endif
endif

#
# Mac OS X
#
# To install required libraries, use:
#   brew install pkg-config libusb
#
ifeq ($(UNAME),Darwin)
    OBJS        += hid-macos.o
    LIBS        += -framework IOKit -framework CoreFoundation
endif

all:		dmrconfig

dmrconfig:	$(OBJS)
		$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
		rm -f *~ *.o core dmrconfig dmrconfig.exe

install:	dmrconfig
		install -c -s dmrconfig /usr/local/bin/dmrconfig

###
d868uv.o: d868uv.c radio.h util.h d868uv-map.h
dfu-libusb.o: dfu-libusb.c util.h
dfu-windows.o: dfu-windows.c util.h
gd77.o: gd77.c radio.h util.h
hid.o: hid.c util.h
hid-libusb.o: hid-libusb.c util.h
hid-macos.o: hid-macos.c util.h
hid-windows.o: hid-windows.c util.h
main.o: main.c radio.h util.h
md380.o: md380.c radio.h util.h
radio.o: radio.c radio.h util.h
rd5r.o: rd5r.c radio.h util.h
serial.o: serial.c util.h
util.o: util.c util.h
uv380.o: uv380.c radio.h util.h

=== debian/changelog ===
dmrconfig (1.1+git20190919.e47491e-6) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1.
  * Bump debian/watch up to version 4.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 21:46:52 -0800

dmrconfig (1.1+git20190919.e47491e-5) unstable; urgency=medium

  * Fix D868 contact raising patch.

 -- Francois Marier <francois@debian.org>  Mon, 21 Sep 2020 16:07:41 -0700

dmrconfig (1.1+git20190919.e47491e-4) unstable; urgency=medium

  * Add a patch to fix "channel 65536 not found" errors on Anytone 878.
  * Add a patch to raise the contact limit on Anytone 868/878.
  * Link to upstream bug in gcc10 patch.
  * Link to upstream PR and add date in cross.patch.
  * Bundle wiki HOWTOs with the package.
  * Add a debian/TODO file.

 -- Francois Marier <francois@debian.org>  Sat, 19 Sep 2020 19:17:06 -0700

dmrconfig (1.1+git20190919.e47491e-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Add dversionmangle to watch file.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Francois Marier ]
  * Adopt this package (closes: #970318).
  * Bump debhelper-compat to 13 (no changes).
  * Update debian/copyright and license packaging under upstream license.
  * Run wrap-and-sort
  * Build without root.
  * Improve tagging of gcc10 patch.

 -- Francois Marier <francois@debian.org>  Mon, 14 Sep 2020 21:45:10 -0700

dmrconfig (1.1+git20190919.e47491e-2) unstable; urgency=medium

  [ tony mancill ]
  * Team upload
  * Add patch for cross-compilation (Closes: #943749)

  [ Christoph Berg ]
  * Fix build failure with gcc10. (Closes: #957143)
    https://github.com/sergev/dmrconfig/pull/54
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jul 2020 16:38:51 +0200

dmrconfig (1.1+git20190919.e47491e-1) unstable; urgency=medium

  * New upstream version 1.1+git20190919.e47491e

 -- Iain R. Learmonth <irl@debian.org>  Mon, 28 Oct 2019 21:47:28 +0000

dmrconfig (1.1+git20190918.511ed5c-1) unstable; urgency=medium

  * New upstream version 1.1+git20190918.511ed5c
  * d/copyright:
    - Upstream license is now BSD-3-clause
  * d/control:
    - Adds Build-Depends on pkg-config

 -- Iain R. Learmonth <irl@debian.org>  Thu, 19 Sep 2019 05:23:30 +0100

dmrconfig (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #934219)

 -- Iain R. Learmonth <irl@debian.org>  Sat, 10 Aug 2019 13:10:37 +0100

=== debian/control ===
Source: dmrconfig
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Francois Marier <francois@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libudev-dev,
 libusb-1.0-0-dev,
 pkg-config,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dmrconfig
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dmrconfig.git
Homepage: https://github.com/sergev/dmrconfig

Package: dmrconfig
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Configuration utility for DMR radios
 DMRconfig is a utility for programming digital radios via USB programming
 cable. It can read and write codeplug, configuration and contacts from and to
 the radio. Various TYT, Baofeng, Radioddity, Anytone, BTECH, Zastone and Radtel
 radios are supported.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	cp 99-dmr.rules debian/dmrconfig.udev

override_dh_auto_install:
	echo "Not installing with Makefile"

=== debian/watch ===
version=4
opts="dversionmangle=s/\+git.*//" \
https://github.com/sergev/dmrconfig/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## dmrconfig 1.1+git20230126.03bb768

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 CC             ?= gcc
+PKG_CONFIG     ?= pkg-config
 
 VERSION         = $(shell git describe --tags --abbrev=0)
 GITCOUNT        = $(shell git rev-list HEAD --count)
@@ -8,14 +9,14 @@
                   gd77.o hid.o serial.o d868uv.o dm1801.o
 CFLAGS         ?= -g -O -Wall -Werror 
 CFLAGS         += -DVERSION='"$(VERSION).$(GITCOUNT)"' \
-                  $(shell pkg-config --cflags libusb-1.0)
+                  $(shell $(PKG_CONFIG) --cflags libusb-1.0)
 LDFLAGS        ?= -g
-LIBS            = $(shell pkg-config --libs --static libusb-1.0)
+LIBS            = $(shell $(PKG_CONFIG) --libs --static libusb-1.0)
 
 #
 # Make sure pkg-config is installed.
 #
-ifeq ($(shell pkg-config --version),)
+ifeq ($(shell $(PKG_CONFIG) --version),)
     $(error Fatal error: pkg-config is not installed)
 endif

=== examples/Makefile ===
CONF  = md2017-7-23-2017.conf \
        md2017-DualHotspot-PNW-2017-07-19.conf \
        md380-baynet-full-codeplug-rev1.conf \
        md380-generic-norcal-uhf-20161103b.conf \
        md380-norcal-brandmeister.conf \
        md-uv380_bm_2018-08-07.conf \
        md-uv380-empty.conf \
        md-uv380-factory.conf \
        rd5r-baden-wuertemburg-codeplug-v3.conf \
        rd5r-bayern-codeplug-v3.conf \
        rd5r-s-yorks-codeplug-v3.conf \
        rd5r-v21x-Charlotte-NC.conf \
        rd5r-v21x-Ft-Launderdale-FL.conf \
        rd5r-v21x-Los-Angeles-CA.conf \
        rd5r-v21x-Tampa-FL.conf \
        rd5r-empty.conf \
        rd5r-factory.conf \
        gd77-ver311-W5NOR-Oklahoma.conf \
        gd77-empty.conf \
        gd77-factory.conf \
        d868uv-rmham-2018-10-20.conf \
        d868uv-norcal-ka7qqv-2017-11-04.conf \
        d868uv-empty.conf \
        dmr6x2-factory.conf

VPATH = ../../dmrconfig.wiki/files/uv380 \
        ../../dmrconfig.wiki/files/md380 \
        ../../dmrconfig.wiki/files/rd5r \
        ../../dmrconfig.wiki/files/gd77 \
        ../../dmrconfig.wiki/files/d868uv

all:    $(CONF)

clean:
	rm -f $(CONF)

.SUFFIXES: .conf .rdt .dat .img

.rdt.conf:
	dmrconfig $< > $@

.dat.conf:
	dmrconfig $< > $@

.img.conf:
	dmrconfig $< > $@

=== debian/changelog ===
dmrconfig (1.1+git20230126.03bb768-1) unstable; urgency=medium

  * New upstream version 1.1+git20230126.03bb768
    - Drop cross.patch raise-contact-limit.patch and gcc10.patch
    - Drop Debian manpage
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.
  * Fix upstream copyright statement in debian/copyright.
  * Update name of upstream repo.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 22:45:08 -0800

dmrconfig (1.1+git20190919.e47491e-7) unstable; urgency=medium

  * Team upload.

  [ Francois Marier ]
  * Update watch file to account for GitHub changes.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 10:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  libudev-dev,
  libusb-1.0-0-dev,
  pkg-config,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dmrconfig
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dmrconfig.git
-Homepage: https://github.com/sergev/dmrconfig
+Homepage: https://github.com/OpenRTX/dmrconfig
 
 Package: dmrconfig
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/\+git.*//" \
https://github.com/OpenRTX/dmrconfig/tags .*/archive/refs/tags/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
